import typescript from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.ExportDeclaration;
}
/**
 * Processor for `export module from 'module`
 */
export declare class ExportProcessor extends Processor {
    parse(node: typescript.Node): ParseResult;
    updateModuleName(moduleName: string, { node }: ParseResult): typescript.Node;
}
export {};
