import typescript from 'typescript';
export declare class Resolver {
    private matchers;
    private ts;
    private compilerOptions;
    private cachedPackageJson;
    constructor(ts: typeof typescript, compilerOptions: typescript.CompilerOptions, alias?: Record<string, string>);
    resolve(moduleName: string, sourceFileName: string): string;
    private resolveModule;
    isESM(sourceFileDir: string): boolean;
    private findNearestPackageJson;
}
