import typescript from 'typescript';
export interface BaseParseResult {
    node: typescript.Node;
    moduleName: string;
}
export declare abstract class Processor {
    protected ts: typeof typescript;
    protected factory: typescript.NodeFactory;
    constructor(ts: typeof typescript, factory: typescript.NodeFactory);
    parse(node: typescript.Node): BaseParseResult;
    abstract updateModuleName(newModuleName: string, parseResult: BaseParseResult): typescript.Node;
}
